CVE-2002-0141
CVSS1.2
发布时间 :2002-03-25 00:00:00
修订时间 :2008-11-04 00:23:09
NMCOS    

[原文]Maelstrom GPL 3.0.1 allows local users to overwrite arbitrary files of other Maelstrom users via a symlink attack on the /tmp/f file.


[CNNVD]Maelstrom临时文件创建方式不安全漏洞(CNNVD-200203-099)

        
        Maelstrom原来是Macintosh下的一个流行游戏,现在已经有Linux下的基于GPL的发行版本。
        Maelstrom GPL 3.0.1以不安全的方式建立临时文件。/tmp/f文件建立的时候没有作很好的检查,一个攻击者可以建立一个符号链接指向任意的文件,当Maelstrom执行的时候,如果启动Maelstrom的用户有足够的权限,那个指向的文件将被覆盖。
        Maelstrom的其他版本可能也存在此漏洞。
        

- CVSS (基础分值)

CVSS分值: 1.2 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: HIGH [漏洞利用存在特定的访问条件]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0141
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0141
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200203-099
(官方数据源) CNNVD

- 其它链接及资源

http://online.securityfocus.com/archive/1/251419
(VENDOR_ADVISORY)  BUGTRAQ  20020120 Maelstrom 1.4.3 abartity file overwrite
http://www.securityfocus.com/bid/3911
(UNKNOWN)  BID  3911
http://www.iss.net/security_center/static/7939.php
(VENDOR_ADVISORY)  XF  maelstrom-tmp-symlink(7939)

- 漏洞信息

Maelstrom临时文件创建方式不安全漏洞
低危 竞争条件
2002-03-25 00:00:00 2005-10-20 00:00:00
本地  
        
        Maelstrom原来是Macintosh下的一个流行游戏,现在已经有Linux下的基于GPL的发行版本。
        Maelstrom GPL 3.0.1以不安全的方式建立临时文件。/tmp/f文件建立的时候没有作很好的检查,一个攻击者可以建立一个符号链接指向任意的文件,当Maelstrom执行的时候,如果启动Maelstrom的用户有足够的权限,那个指向的文件将被覆盖。
        Maelstrom的其他版本可能也存在此漏洞。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 暂时不要玩这个游戏,特别是不要以root身份运行这个游戏。
        * 以root身份创建/tmp/f文件,防止普通用户创建链接。
         # rm -f /tmp/f;touch /tmp/f;chmod 666 /tmp/f
        厂商补丁:
        Maelstrom
        ---------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.devolution.com/~slouken/Maelstrom/index.html

- 漏洞信息

10621
Maelstrom GPL Symlink File Overwrite
Local Access Required Race Condition

- 漏洞描述

Unknown or Incomplete

- 时间线

2002-01-20 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Maelstrom Insecure Symbolic Link Vulnerability
Race Condition Error 3911
No Yes
2002-01-20 12:00:00 2009-07-11 09:56:00
Posted to the BugTraq mailing list by Andrew Griffiths <andrewg@tasmail.com>.

- 受影响的程序版本

Maelstrom Maelstrom GPL 3.0.1
+ RedHat Linux 7.2 ia64
+ RedHat Linux 7.2 i386
+ RedHat Linux 7.2 alpha
+ RedHat Linux 7.1 ia64
+ RedHat Linux 7.1 i386
+ RedHat Linux 7.1 alpha

- 漏洞讨论

Maelstrom is a popular game originally written for the Macintosh. It has since been ported to Linux, and released under the GPL.

It has been reported that some versions of Maelstrom create a temporary file in an insecure manner. The file /tmp/f is created without proper checks. An attacker may create a symbolic link from this location pointing to any target file. When Maelstrom is executed, the target file will be overwritten if the user has sufficient permissions.

Later versions of Maelstrom may share this vulnerability.

- 漏洞利用

No exploit code is required to take advantage of this issue.

- 解决方案

Currently the SecurityFocus staff are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站